# List

Launch stage: GA

`GET /api/2.0/policies/clusters/list`

Returns a list of policies accessible by the requesting user.

API scopes: clusters

## Query parameters

- `sort_order` (string, optional)
  The order in which the policies get listed.
   * `DESC` - Sort result list in descending order.
   * `ASC` - Sort result list in ascending order.
  Possible values: `DESC`, `ASC`
  Default: `DESC`
- `sort_column` (string, optional)
  The cluster policy attribute to sort by.
   * `POLICY_CREATION_TIME` - Sort result list by policy creation time.
   * `POLICY_NAME` - Sort result list by policy name.
  Possible values: `POLICY_CREATION_TIME`, `POLICY_NAME`

## Returns

Returns a list of Policy objects.

## Response

```json
{
  "policies": [
    {
      "policy_id": "string",
      "creator_user_name": "string",
      "created_at_timestamp": 0,
      "is_default": true,
      "name": "string",
      "definition": {
        "custom_tags.test_tag": {
          "type": "fixed",
          "value": "test_value"
        }
      },
      "description": "string",
      "policy_family_id": "string",
      "policy_family_definition_overrides": {
        "custom_tags.test_tag": {
          "type": "fixed",
          "value": "test_value"
        }
      },
      "max_clusters_per_user": 0,
      "libraries": [
        {}
      ]
    }
  ]
}
```

